/**
Theme Name: Upsyspatrimoine
Author: Christophe CASTEJON - We Love Tech
Author URI: https://www.welovetech.fr
Description: We Love Tech
Version: 1.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: upsyspatrimoine
Template: astra
*/

@media (min-width: 769px) {

	.main-navigation .menu > .menu-item > a::after {
    content: "";
    position: absolute;
    right: 50%;
    left: 50%;
    bottom: 1px;
    transform: translateX(-50%);
    height: 4px;

    background-color: currentColor;
}

.main-navigation .menu > .menu-item.current-menu-item > a::after{
    width: 50%;
}

li.menu-item a {
	line-height:2em;
        border-bottom: 2px solid transparent;
    }

 li.menu-item a:hover {
        border-bottom: 2px solid #ffffff;

    }


#ast-fixed-header .main-header-bar {
	line-height:3;
	
}


.border{
    position:relative;
}
.border:hover::after{
    content:'';
    position:absolute;
    width: 100%;
    height: 0;    
    left:0;
    bottom:0px; /*Change this to increase/decrease distance*/
    border-bottom: 2px solid red;  
}



li.menu-item a:focus{
color:#ffffff !important;
}


#ast-fixed-header li.menu-item a:focus{
color:#9069EC !important;
}

#ast-fixed-header li.menu-item a:hover {
        border-bottom: 2px solid #4a3288;
    }

.main-header-menu .sub-menu li.menu-item > a,
.main-header-menu .sub-menu li.current_page_item > a
{
	
	border-bottom: 0px solid transparent;
	
}
#ast-fixed-header .main-header-menu .sub-menu li.current_page_item > a,
#ast-fixed-header .main-header-menu .sub-menu li.menu-item > a{
	
	border-bottom: 2px solid transparent;
	
}

#ast-fixed-header .main-header-menu .sub-menu li:last-child {
  border-bottom: 1px solid rgba(234, 234, 234, 1);}



.menu-item-highlight
{
 background: #000;
 border-radius: 35px;
 padding: 0px 20px;
 line-height: 50px;
 margin-left: 1.5em !important;
}

#ast-fixed-header .menu-item-highlight
{
 color: #ffffff;
background: transparent;
border-color: #4a3288;
border-style: solid;
border-width: 2px;
border-radius: 50px;
padding: 0px 10px;
transition: all 0.2s linear;
line-height:45px;
margin-left: 1.5em !important;
}

.menu-item-highlight {


color: #ffffff;
background: transparent;
border-color: #ffffff;
border-style: solid;
border-width: 2px;
border-radius: 50px;
padding: 0px 10px;
transition: all 0.2s linear;
line-height:45px;
margin-left: 1.5em !important;

}
 
.menu-item-highlight a {

text-transform : none !important;
	font-weight:500;
 color:#ffffff
}
 
.menu-item-highlight:hover {
color: #4a3288 !important;
background: #ffffff;
border-color: #ffffff;
	border-bottom: 2px solid transparent;

}
 
li.menu-item-highlight:hover a {
color: #4a3288 !important;
border-bottom: 2px solid transparent;
}

#ast-fixed-header li.menu-item-highlight:hover a {
color: #4a3288 !important;
border-bottom: 2px solid transparent;
}

#ast-fixed-header .menu-item-highlight:hover {
color: #ffffff !important;
background: #4a3288;
border-color: #4a3288;
	border-bottom: 2px solid transparent;

}

#ast-fixed-header li.menu-item-highlight:hover a {
color: #ffffff !important;
border-bottom: 2px solid transparent;
}



.menu-item-highlight:active {
border-radius: 25px;
border-bottom: 2px solid transparent;
}




}

.main-header-menu .sub-menu li:last-child {
  border-bottom: 1px solid rgba(234, 234, 234, 1) !important;}

}


	
	


section #services {
  text-align: center;
  transform: translatez(0);
}

ul#services {

margin: 0px 0px 0px 0px !important;

}
section #services h2 {
  margin: 80px 0px 40px;
  color: #fff;
  font-size: 2.4em;
  font-family: 'Raleway Dots', sans-serif;
  text-transform: uppercase;
  text-align: center;
}
section #services li {
  width: 120px;
  height: 140px;
  display: inline-block;
  margin: 20px;
  list-style: none;
}
section #services li div {
  width: 120px;
  height: 120px;
  color: #4a3288;
  font-size: 3.4em;
  text-align: center;
  line-height: 120px;
  background-color: #fff;
  transition: all 0.5s ease;
}
section #services li div:hover {
  transform: rotate(360deg);
  border-radius: 100px;
}
section #services li span {
  width: 120px;
  height: 20px;
  display: block;
  padding: 15px 0px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.1em;
  text-align: center;
}


section #services li span a {
    
  width: 120px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.2em;
  text-align: center;
text-decoration: none;          
}

            
section #services li span a:link {
        
  width: 120px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.2em;
  text-align: center;
  text-decoration: none;
}
  section #services li span a:hover{
  width: 120px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.2em;
  text-align: center;
 text-decoration: none;         
}
            
section #services li span  a:visited {
  width: 120px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.2em;
  text-align: center;
}


ul#services-mobile {

margin: 0px 0px 0px 0px !important;

}
section #services-mobile h2 {
  margin: 80px 0px 40px;
  color: #fff;
  font-size: 2em;
  font-family: 'Raleway Dots', sans-serif;
  text-transform: uppercase;
  text-align: center;
}
section #services-mobile li {
  width: 70px;
  height: 70px;
  display: inline-block;
  margin: 20px;
  list-style: none;
}
section #services-mobile li div {
  width: 70px;
  height: 70px;
  color: #4a3288;
  font-size: 2.4em;
  text-align: center;
  line-height: 70px;
  background-color: #fff;
  transition: all 0.5s ease;
}
section #services-mobile li div:hover {
  transform: rotate(360deg);
  border-radius: 100px;
}
section #services-mobile li span {
  width: 70px;
  height: 20px;
  display: block;
  padding: 15px 0px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.1em;
  text-align: center;
}


section #services-mobile li span a {
    
  width: 70px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1em;
  text-align: center;
text-decoration: none;          
}

            
section #services-mobile li span a:link {
        
  width: 50px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1em;
  text-align: center;
  text-decoration: none;
}
  section #services-mobile li span a:hover{
  width: 120px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.2em;
  text-align: center;
 text-decoration: none;         
}
            
section #services-mobile li span  a:visited {
  width: 120px;
  height: 20px;
  color: #fff;
  font-family: 'Advent Pro', sans-serif;
  text-transform: uppercase;
  font-size: 1.2em;
  text-align: center;
}

#footerXavier  {
    padding: 0px 0 !important;
    text-align: center;
}



.elementor-headline--style-highlight svg path
{

    stroke-dasharray:1500;
    -webkit-animation:elementor-headline-dash 60s;
    animation:elementor-headline-dash 60s;
    animation-duration: 3s;
}
	
}



.elementor-button {
box-shadow: 0 0 0 rgba(204,169,44, 0.4);
animation: pulse 2s infinite;
}
.elementor-button:hover {
animation: none;
}

@-webkit-keyframes pulse {
0% {
-webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
}
70% {
-webkit-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
}
100% {
-webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
}
}
@keyframes pulse {
0% {
-moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
}
70% {
-moz-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
box-shadow: 0 0 0 10px rgba(204,169,44, 0);
}
100% {
-moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
box-shadow: 0 0 0 0 rgba(204,169,44, 0);
}
}

bg-gradient {background-image: -moz-linear-gradient( 0deg, rgba(30,101,255,0.71) 0%, rgba(120,61,255,0.6) 100%);
                background-image: -webkit-linear-gradient( 0deg, rgba(30,101,255,0.71) 0%, rgba(120,61,255,0.6) 100%);
                background-image: -ms-linear-gradient( 0deg, rgba(30,101,255,0.71) 0%, rgba(120,61,255,0.6) 100%);}
                
                
                
a:active, a:focus {
  outline: 0;
  border: none;
  -moz-outline-style: none;
}